Subject: Re: [OPSAWG] Call for adoption, draft-krishnan-opsawg-large-flow-load-balancing/

From: ramki Krishnan <[email-masked]>
Date: Tue, 7 May 2013 08:56:36 -0700

All,

Based on expert advice from Brian/Randy, we have removed all IPR related implementation detail from the latest version of the draft -- see below.
http://datatracker.ietf.org/doc/draft-krishnan-opsawg-large-flow-load-balancing/

We have also updated the IPR disclosure (other notes section) to reflect this -- see below.
https://datatracker.ietf.org/ipr/2063/

Thanks,
Ramki (on behalf of the co-authors)

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ramki Krishnan
Sent: Wednesday, April 24, 2013 4:40 PM
To: Brian E Carpenter; Randy Bush
Cc: [email-masked]
Subject: Re: [OPSAWG] Call for adoption, draft-krishnan-opsawg-large-flow-load-balancing/

Thanks Brian, agreed.

Thanks,
Ramki

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Brian E Carpenter
Sent: Wednesday, April 24, 2013 4:35 PM
To: Randy Bush
Cc: [email-masked]
Subject: Re: [OPSAWG] Call for adoption, draft-krishnan-opsawg-large-flow-load-balancing/

On 25/04/2013 10:09, Randy Bush wrote:
>> I came to the attention of the Chairs and the ADs during the call for 
>> adoption that an IPR disclosure was likely pending on this draft. It 
>> has since transpired.
>>
>> The disclosure can be reviewed here.
>>
>> http://datatracker.ietf.org/ipr/search/?option=document_search&id_document_tag=draft-krishnan-opsawg-large-flow-load-balancing.
>>
>> In my opinion this is bit late frankly but short of 6701 remedy 
>> territory.  I have asked the chairs to extend the current call for 
>> additional time (which they should chime in on), and I would ask that 
>> if the disclosure alters you opinion of the document that you please 
>> make your concerns known.
>>
>> I'd like to thank the authors for their candor, and the chairs for 
>> bringing this to our attention.
> 
> i sent a concerned private email to some folk.  one replied
> 
>     The authors have indicated that the stuff on which they've filed the
>     patent application is not the only mechanism that can be used for
>     large flow detection - i.e. this can be implemented without using
>     their to-be-encumbered technology.
> 
> if this is the case, why not simply remove the to-be-encumbered 
> technology from the document?

I agree; it's not worth the pain, for an example algorithm in an Informational document. (The same goes for
draft-krishnan-ipfix-flow-aware-packet-sampling.)

    Brian
> 
> otherwise, we potentially will waste a lot of time over this ipr claim.
> 
> randy
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
> 
_______________________________________________
OPSAWG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/opsawg
_______________________________________________
OPSAWG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/opsawg